onEvent('recipes', event => {

    const id_prefix = 'pedestals:pedestal_cobblegen'

    const recipes = [
        {
            input: 'create:shadow_steel_casing',
            result: 'appliedenergistics2:sky_stone_block',
            id: 'sky_stone'
        },
        {
            input: 'appliedenergistics2:smooth_sky_stone_block',
            result: 'tconstruct:seared_cobble',
            id: 'seared_cobble'
        }
    ]

    recipes.forEach((recipe) => {
        event.custom({
            type: 'pedestals:pedestal_cobblegen',
            ingredient: Item.of(recipe.input).toResultJson(),
            result: Item.of(recipe.result).toResultJson()
        }).id(`${id_prefix}/${recipe.id}`);
    });

    stones.forEach(type => {
        event.custom({
            type: 'pedestals:pedestal_cobblegen',
            ingredient: Item.of(type.stone).toResultJson(),
            result: Item.of(type.cobblestone? type.cobblestone : type.stone).toResultJson()
        }).id(`${id_prefix}/${type.id}`);
    });

})